%define xf86 XFree86
%define xorgold xorg-x11

%define _fontsdir %_datadir/fonts/bitmap

Name: fonts-bitmap-misc
Version: 7.0.0
Release: alt1

Summary: Misc fonts required by the X Window System
Group: System/Fonts/X11 bitmap
License: MIT/X11

Url: http://xorg.freedesktop.org

Source0: font-alias-1.0.1.tar.bz2
Source1: font-arabic-misc-1.0.0.tar.bz2
Source2: font-jis-misc-1.0.0.tar.bz2
Source3: font-misc-misc-1.0.0.tar.bz2
Source4: font-cursor-misc-1.0.0.tar.bz2
Source5: font-micro-misc-1.0.0.tar.bz2
Source6: font-mutt-misc-1.0.0.tar.bz2
Source7: font-daewoo-misc-1.0.0.tar.bz2
Source8: font-schumacher-misc-1.0.0.tar.bz2
Source9: font-dec-misc-1.0.0.tar.bz2
Source10: font-sony-misc-1.0.0.tar.bz2
Source11: font-isas-misc-1.0.0.tar.bz2
Source12: font-sun-misc-1.0.0.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

PreReq: chkfontpath mkfontdir mkfontscale
Obsoletes: %xf86-misc-fonts %xorgold-misc-fonts
Provides: %xf86-misc-fonts = 4.4 %xorgold-misc-fonts = %version-%release

BuildArch: noarch
BuildRequires: bdftopcf xorg-x11-font-utils mkfontdir mkfontscale pkg-config

%description
This package provides the misc fonts that are required by the X Window System.

%prep
%setup -q -c -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12

%build
cd font-alias*
%configure \
	--with-top-fontdir=%_fontsdir
%make
cd ..
for d in `ls | grep -v alias`; do
	cd $d
	%configure \
		--with-fontdir=%_fontsdir/misc
	%make_build
	cd ..
done

%install
for d in *; do
	cd $d
	%make DESTDIR=%buildroot install
	cd ..
done

touch %buildroot%_fontsdir/misc/fonts.cache-1

%post
%_sbindir/chkfontpath -q -a %_fontsdir/misc:unscaled
%_bindir/mkfontdir %_fontsdir/misc

%postun
if [ "$1" = "0" ]; then
	%_sbindir/chkfontpath -q -r %_fontsdir/misc:unscaled
fi

%files
%ghost %_fontsdir/misc/fonts.cache-1
%ghost %_fontsdir/misc/fonts.scale
%_fontsdir/misc

%changelog
* Thu Dec 29 2005 Valery Inozemtsev <shrek@altlinux.ru> 7.0.0-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.2-alt1
- Xorg-7.0RC3

* Fri Nov 25 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.1-alt0.1
- initial release

